# Automatic noise parse python program for DMM noise measurement project
# http://xdevs.com/article/dmm_noise/ - Article with details
# &copy; xDevs.com 2015

import csv
import sys
import math
import glob
import os
from math import exp, expm1
from datetime import datetime

with open('output.txt','wb') as o:
    o.write ("cnt;temp;\r")
    with open('ac_rev9_temp.csv', 'rb') as i:
        reader = csv.DictReader(i, delimiter=';')
        ref = 2.49707
        temp = 0.0
        cnt = 0
        row = 0
        for row in reader:
            temp = float(row['data'])
            cnt = cnt + 8
            temp = ( ( (temp * 2E6 - 122400) / 420)) + 25
            if ((temp > 15) and (temp < 55)):
                #print ("[%d] %f C" % (cnt,temp ))
                o.write ("%d;%5.4f\r\n" %  (cnt,temp )  )
    i.close()
o.close()


